cd "C:\Docs2\EFH_CDI\Chile_MaPP_comparison\\\"
use "C:\Docs2\EFH_CDI\Chile_MaPP_comparison\IMFdata\\Fernandez_etal.dta", clear
keep Country-code_ifs ka kai kao
rename code_ifs ifscode
rename code_wdi iso3
merge m:m ifscode using "C:\Docs2\EFH_CDI\Chile_MaPP_comparison\IMFdata\\CountryType.dta", keepusing(Country_Type)

**** Se limpia la base de datos para dejar solo lo que interesa
drop if _merge!=3
gen AE=1 if Country_Type==1
gen EM=1 if Country_Type==2
gen LIC=1 if Country_Type==3
drop _merge Country_Type

**** Se crean variables para los loops
local P_LAC ATG ARG ABW BHS BRB BLZ BOL BRA CYM CHL COL CRI CUB CUW DMA DOM ECU SLV GRD GTM GUY HTI HND JAM MEX NIC PAN PRY PER SXM KNA LCA VCT SUR TTO TCA URY VEN
local P_LA6 ARG BRA CHL COL MEX PER
local P_OECD AUS AUT BEL CAN CHL CZE DNK EST FIN FRA DEU GRC HUN ISL IRL ISR ITA JPN KOR LUX NLD NZL NOR POL PRT SVK SVN ESP SWE CHE GBR USA COL LVA LTU MEX TUR
local tipos AE LAC LA6 OECD EM LIC
local variables ka-kao
gen LAC=0
gen LA6=0
gen OECD=0

**** Se crean los promedios para cada agrupación de países (LAC, LAC_6, OCDE, EM y LIC)
foreach j of local tipos{
	foreach y of local P_`j'{
		replace `j'=1 if iso3=="`y'"
	}

	foreach y of varlist ka-kao{
		bys Year: egen mean_`y'=${StatV}(`y') if `j'==1 & strpos(iso3, "m_")==0
	}
	if "`j'"=="AE" {
	expand 2 if iso3=="USA", gen(duplicate)
	foreach y of varlist ka-kao{
		replace `y'=mean_`y' if duplicate==1
	}	
	}
	if "`j'"=="LIC" {
	expand 2 if iso3=="ECU", gen(duplicate)
	foreach y of varlist ka-kao{
		replace `y'=mean_`y' if duplicate==1
	}	
	}
	if "`j'"!="AE"&"`j'"!="LIC" {
	expand 2 if iso3=="CHL", gen(duplicate)
	foreach y of varlist ka-kao{
		replace `y'=mean_`y' if duplicate==1
	}
	}
	
	replace Country="Promedio `j'" if duplicate==1
	replace iso3="m_`j'" if duplicate==1
	drop mean_ka-duplicate
}
sort Country Year

**** En esta sección se colocan los códigos iso3 de los países que se desean analizar en cada agrupación (mientras más se coloquen peor se verán los gráficos)
keep if iso3=="CHL"|strpos(iso3, "m_")
egen cgroup=group(Country)
xtset cgroup Year, yearly
foreach j of local variables{
	preserve
	foreach y of varlist `j'{
		xtline `y', overlay ytitle(Índice, size(small)) ylabel(, labsize(small)) title("",size(zero)) legend(cols(3) size(vsmall) order(1 "Chile" 2 "${StatT} AE" 3 "${StatT} EM" 4 "${StatT} LAC" 5 "${StatT} LA6" 6 "${StatT} LIC" 7 "${StatT} OECD")) ttitle(, size(zero))
*		cd "C:\Docs2\EFH_CDI\Chile_MaPP_comparison\\\Gráficos finales\Gráficos inglés\PNG\"
*		graph export `y'_serie.png, as(png) name("Graph") replace
		cd "C:\Docs2\EFH_CDI\Chile_MaPP_comparison\Gráficos finales\Gráficos inglés\TIFF\"
		graph export `y'_serie.tiff, as(tif) name("Graph") replace  //`y'_Fernandez_serie.tiff
		cd "C:\Docs2\EFH_CDI\Chile_MaPP_comparison\\\Gráficos finales\\Gráficos inglés\EMF\"
		graph export `y'_serie.emf, as(emf) name("Graph") replace
	}
	restore
}
