cd "C:\Docs2\EFH_CDI\Chile_MaPP_comparison\IMFdata\\"
use "C:\Docs2\EFH_CDI\Chile_MaPP_comparison\IMFdata\\iMaPP_Y_otherVars.dta", clear
merge m:m ifscode using "C:\Docs2\EFH_CDI\Chile_MaPP_comparison\IMFdata\\CountryType.dta", keepusing(Country_Type)

**** Se limpia la base de datos para dejar solo lo que interesa
replace AE=1 if Country_Type==1
gen EM=1 if Country_Type==2
gen LIC=1 if Country_Type==3
replace EM=1 if EMDE==1 & LIC==. 
keep C_* Country iso3 Year AE EM LIC
*gen C_Supply_general=C_RR+C_Liquidity+C_LFX
*gen C_Supply_capital=C_LVR+C_CCB+C_Conservation+C_Capital
drop C_Capital_* C_LCG_* C_LoanR_* C_RR_FCD
drop C_CCB-C_OT
keep if Year==2019  //keep if Year==2016|Year==2019

**** Se coloca etiqueta a las variables que son sumas
capture label var C_LDemand_Sum "Loan demand: LTV+DSTI"
capture label var C_LSupply_Sum "Loan supply Sum: LCG+LLP+LoanR+LTD+LFC"
capture label var C_Loan_Sum "Loan Sum: Loan demand + Loan supply Sum"
capture label var C_Supply_Sum "Supply total: Supply general+Supply capital"
capture label var C_Other_Sum "Institutional: Tax+SIFI+OT"
capture label var C_Supply_general "Supply general =RR+Liquidity+LFX"
capture label var C_Supply_capital "Supply of capital: LVR+CCB+Conservation+Capital"

**** Se crean variables para los loops
local P_LAC ATG ARG ABW BHS BRB BLZ BOL BRA CYM CHL COL CRI CUB CUW DMA DOM ECU SLV GRD GTM GUY HTI HND JAM MEX NIC PAN PRY PER SXM KNA LCA VCT SUR TTO TCA URY VEN
local P_LA6 ARG BRA CHL COL MEX PER  //P_LA_6
local P_OECD AUS AUT BEL CAN CHL CZE DNK EST FIN FRA DEU GRC HUN ISL IRL ISR ITA JPN KOR LUX NLD NZL NOR POL PRT SVK SVN ESP SWE CHE GBR USA COL LVA LTU MEX TUR
local tipos LAC LA6 OECD AE EM LIC  //LA_6
order EM,a(Year)
order LIC,a(Year)
local variables C_SUM_17-C_Supply_Sum2   //C_SUM_17-C_Supply_capital
tab Country if AE==.
replace AE=1 if AE==.
gen LAC=0
gen LA6=0 //LA_6
gen OECD=0

**** Se crean los promedios para cada agrupación de países (LAC, LAC_6, OCDE, AE, EM y LIC)
foreach j of local tipos{
	foreach y of local P_`j'{
		replace `j'=1 if iso3=="`y'"
	}

	foreach y of varlist `variables' {
		bys Year: egen mean_`y'=${StatV}(`y') if `j'==1 & strpos(iso3, "m_")==0
	}
	if "`j'"=="AE" {
	expand 2 if iso3=="USA", gen(duplicate)
	foreach y of varlist `variables' {
		replace `y'=mean_`y' if duplicate==1
	}	
	}
	if "`j'"=="LIC" {
	expand 2 if iso3=="ECU", gen(duplicate)
	foreach y of varlist `variables' {
		replace `y'=mean_`y' if duplicate==1
	}	
	}
	if "`j'"!="AE"&"`j'"!="LIC" {
	expand 2 if iso3=="CHL", gen(duplicate)
	foreach y of varlist `variables' {
		replace `y'=mean_`y' if duplicate==1
	}
	}
	
	replace Country="${StatT} `j'" if duplicate==1 // "${StatT} `j' 2019" // "${StatT} `j' 2016"
	replace iso3="m_`j'" if duplicate==1
	drop mean_C_SUM_17-duplicate
}
sort Country Year
*drop if Year==2019&iso3!="CHL"
*drop if Year==2016&iso3=="CHL"
*replace Country="Chile 2019" if iso3=="CHL"

**** En esta sección se colocan los códigos iso3 de los países que se desean analizar en cada agrupación (mientras más se coloquen peor se verán los gráficos)
keep if iso3=="CHL"|strpos(iso3, "m_")

foreach j of local variables{
	preserve
	foreach y of varlist `j'{
		graph bar (asis) `y', over(Country, label(angle(forty_five) labsize(small))) ytitle(Index, size(small)) ylabel(, labsize(small)) title("",size(zero)) asyvars legend(cols(3) size(vsmall)) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white))
		cd "C:\Docs2\EFH_CDI\Chile_MaPP_comparison\\Gráficos finales\Gráficos inglés\TIFF\"
		graph export `y'.tiff, as(tif) name("Graph") replace
		cd "C:\Docs2\EFH_CDI\Chile_MaPP_comparison\\Gráficos finales\Gráficos inglés\EMF\"
		graph export `y'.emf, as(emf) name("Graph") replace
	}
	restore
}
