cd "C:\Docs2\EFH_CDI\Chile_MaPP_comparison\IMFdata\"
use "C:\Docs2\EFH_CDI\Chile_MaPP_comparison\IMFdata\iMaPP_Y_otherVars.dta", clear
merge m:m ifscode using "C:\Docs2\EFH_CDI\Chile_MaPP_comparison\IMFdata\CountryType.dta", keepusing(Country_Type)


**** Se limpia la base de datos para dejar solo lo que interesa
replace AE=1 if Country_Type==1
gen EM=1 if Country_Type==2
gen LIC=1 if Country_Type==3
replace EM=1 if EMDE==1 & LIC==. 
keep C_SUM_17 LTV_mean Country iso3 Year AE EM LIC

**** Se crean variables para los loops
local P_LAC ATG ARG ABW BHS BRB BLZ BOL BRA CYM CHL COL CRI CUB CUW DMA DOM ECU SLV GRD GTM GUY HTI HND JAM MEX NIC PAN PRY PER SXM KNA LCA VCT SUR TTO TCA URY VEN
local P_LA6 ARG BRA CHL COL MEX PER //P_LA_6
local P_OECD AUS AUT BEL CAN CHL CZE DNK EST FIN FRA DEU GRC HUN ISL IRL ISR ITA JPN KOR LUX NLD NZL NOR POL PRT SVK SVN ESP SWE CHE GBR USA COL LVA LTU MEX TUR
local tipos LAC LA6 OECD AE EM LIC  //LA_6
local variables LTV_mean C_SUM_17
tab Country if AE==.
replace AE=1 if AE==.
gen LAC=0
gen LA6=0  //LA_6
gen OECD=0

**** Se crean los promedios para cada agrupación de países (LAC, LAC_6, OCDE, AE, EM y LIC)
foreach j of local tipos{
	foreach y of local P_`j'{
		replace `j'=1 if iso3=="`y'"
	}

	foreach y of varlist LTV_mean-C_SUM_17{
		bys Year: egen mean_`y'=${StatV}(`y') if `j'==1 & strpos(iso3, "m_")==0
	}
	if "`j'"=="AE" {
	expand 2 if iso3=="USA", gen(duplicate)
	foreach y of varlist LTV_mean-C_SUM_17{
		replace `y'=mean_`y' if duplicate==1
	}	
	}
	if "`j'"=="LIC" {
	expand 2 if iso3=="ECU", gen(duplicate)
	foreach y of varlist LTV_mean-C_SUM_17{
		replace `y'=mean_`y' if duplicate==1
	}	
	}
	if "`j'"!="AE"&"`j'"!="LIC" {
	expand 2 if iso3=="CHL", gen(duplicate)
	foreach y of varlist LTV_mean-C_SUM_17{
		replace `y'=mean_`y' if duplicate==1
	}
	}
	
	replace Country="Promedio `j'" if duplicate==1
	replace iso3="m_`j'" if duplicate==1
	drop mean_LTV_mean-duplicate
}
sort Country Year
*drop if Year>2016&iso3!="CHL"

**** En esta sección se colocan los códigos iso3 de los países que se desean analizar en cada agrupación (mientras más se coloquen peor se verán los gráficos)
keep if iso3=="CHL"|strpos(iso3, "m_")
egen cgroup=group(Country)
xtset cgroup Year, yearly

preserve
xtline C_SUM_17, overlay ytitle(Index, size(small)) ylabel(, labsize(small)) title("",size(zero)) legend(cols(3) size(vsmall) order(1 "Chile" 2 "${StatT} AE" 3 "${StatT} EM" 4 "${StatT} LAC" 5 "${StatT} LA6" 6 "${StatT} LIC" 7 "${StatT} OECD")) ttitle(, size(zero)) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white))
cd "C:\Docs2\EFH_CDI\Chile_MaPP_comparison\Gráficos finales\Gráficos inglés\TIFF\"   //LA_6
graph export C_SUM_17_serie.tiff, as(tif) name("Graph") replace
cd "C:\Docs2\EFH_CDI\Chile_MaPP_comparison\\Gráficos finales\Gráficos inglés\EMF\"
graph export C_SUM_17_serie.emf, as(emf) name("Graph") replace
restore

drop if Year<2000

preserve
xtline LTV_mean, overlay ytitle(Ratio, size(small)) ylabel(, labsize(small)) title("",size(zero)) legend(cols(3) size(vsmall) order(1 "Chile" 2 "${StatT} AE" 3 "${StatT} EM" 4 "${StatT} LAC" 5 "${StatT} LA6" 6 "${StatT} LIC" 7 "${StatT} OECD")) ttitle(, size(zero)) graphregion(fcolor(white) lcolor(white) ifcolor(white) ilcolor(white))
cd "C:\Docs2\EFH_CDI\Chile_MaPP_comparison\\Gráficos finales\Gráficos inglés\TIFF\"   //LA_6
graph export LTV_mean_serie.tiff, as(tif) name("Graph") replace
cd "C:\Docs2\EFH_CDI\Chile_MaPP_comparison\\Gráficos finales\Gráficos inglés\EMF\"
graph export LTV_mean_serie.emf, as(emf) name("Graph") replace
restore

